import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, o = (p, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, l) : t, i = p.length - 1, s; i >= 0; i--)
    (s = p[i]) && (e = (r ? s(t, l, e) : s(e)) || e);
  return r && e && m(t, l, e), e;
};
let c = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--checkCircleFilled", this.class = "c-pieIcon c-pieIcon--checkCircleFilled", this.name = "IconCheckCircleFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--checkCircleFilled"><path d="M8 1.478A6.524 6.524 0 0 0 1.478 8c0 3.6 2.922 6.522 6.522 6.522S14.52 11.6 14.52 8 11.6 1.478 8 1.478Zm-.27 8.844a1.006 1.006 0 0 1-1.47.009L4.696 8.616l.966-.878L6.99 9.2l3.34-3.626.956.887-3.565 3.87.008-.01Z"></path></svg>`;
  }
};
o([
  n({ type: String, reflect: !0 })
], c.prototype, "size", 2);
o([
  n({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = o([
  a("icon-check-circle-filled")
], c);
export {
  c as IconCheckCircleFilled
};
